import{s as Ge,n as Ve,o as Xe}from"../chunks/scheduler.7bc62968.js";import{S as Ke,i as Qe,g as s,s as l,r as Ue,A as et,h as n,f as t,c as i,j as fe,u as Re,x as a,k as O,y as I,a as r,v as Be,d as Fe,t as Ze,w as Ye}from"../chunks/index.2f8492b0.js";import{I as tt}from"../chunks/IconCopyLink.33ab0cda.js";import{C as ot}from"../chunks/CodeBlock.76c77077.js";function rt(ge){let c,J,d,p,D,u,me,z,be="Spaces Configuration Reference",N,h,ve="Spaces are configured through the <code>YAML</code> block at the top of the <strong>README.md</strong> file at the root of the repository. All the accepted parameters are listed below.",U,m,ye=`<strong><code>title</code></strong> : <em>string</em><br/>
Display title for the Space.`,R,f,Te=`<strong><code>emoji</code></strong> : <em>string</em><br/>
Space emoji (emoji-only character allowed).`,B,g,Me=`<strong><code>colorFrom</code></strong> : <em>string</em><br/>
Color for Thumbnail gradient (red, yellow, green, blue, indigo, purple, pink, gray).`,F,b,He=`<strong><code>colorTo</code></strong> : <em>string</em><br/>
Color for Thumbnail gradient (red, yellow, green, blue, indigo, purple, pink, gray).`,Z,v,_e=`<strong><code>sdk</code></strong> : <em>string</em><br/>
Can be either <code>gradio</code>, <code>streamlit</code>, <code>docker</code>, or <code>static</code>.`,Y,y,we=`<strong><code>python_version</code></strong>: <em>string</em><br/>
Any valid Python <code>3.x</code> or <code>3.x.x</code> version.<br/>
Defaults to <code>3.10</code>.`,G,T,Le=`<strong><code>sdk_version</code></strong> : <em>string</em><br/>
Specify the version of the selected SDK (Streamlit or Gradio).<br/>
All versions of Gradio are supported.<br/>
All versions of Streamlit from <code>0.79.0</code> are supported.`,V,M,Se=`<strong><code>suggested_hardware</code></strong> : <em>string</em><br/>
Specify the suggested <a href="https://huggingface.co/docs/hub/spaces-gpus" rel="nofollow">hardware</a> on which this Space must be run.<br/>
Useful for Spaces that are meant to be duplicated by other users.<br/>
Setting this value will not automatically assign an hardware to this Space.<br/>
Value must be a valid hardware flavor (e.g. <code>&quot;cpu-upgrade&quot;</code>, <code>&quot;t4-small&quot;</code>, <code>&quot;t4-medium&quot;</code>, <code>&quot;a10g-small&quot;</code>, <code>&quot;a10g-large&quot;</code> or <code>&quot;a100-large&quot;</code>).`,X,H,Ce=`<strong><code>suggested_storage</code></strong> : <em>string</em><br/>
Specify the suggested <a href="https://huggingface.co/docs/hub/spaces-storage" rel="nofollow">permanent storage</a> on which this Space must be run.<br/>
Useful for Spaces that are meant to be duplicated by other users.<br/>
Setting this value will not automatically assign a permanent storage to this Space.<br/>
Value must be one of <code>&quot;small&quot;</code>, <code>&quot;medium&quot;</code> or <code>&quot;large&quot;</code>.`,K,_,Pe=`<strong><code>app_file</code></strong> : <em>string</em><br/>
Path to your main application file (which contains either <code>gradio</code> or <code>streamlit</code> Python code, or <code>static</code> html code).<br/>
Path is relative to the root of the repository.`,Q,w,xe=`<strong><code>app_port</code></strong> : <em>int</em><br/>
Port on which your application is running. Used only if <code>sdk</code> is <code>docker</code>. Default port is <code>7860</code>.`,ee,L,ke=`<strong><code>base_path</code></strong>: <em>string</em>
For non-static Spaces, initial url to render. Needs to start with <code>/</code>. For static Spaces, use <code>app_file</code> instead.`,te,S,qe=`<strong><code>fullWidth</code></strong>: <em>boolean</em><br/>
Whether your Space is rendered inside a full-width (when <code>true</code>) or fixed-width column (ie. “container” CSS) inside the iframe.
Defaults to false in <code>gradio</code>, and to true for other sdks.`,oe,C,We=`<strong><code>models</code></strong> : <em>List[string]</em><br/>
HF model IDs (like <code>gpt2</code> or <code>deepset/roberta-base-squad2</code>) used in the Space.<br/>
Will be parsed automatically from your code if not specified here.`,re,P,je=`<strong><code>datasets</code></strong> : <em>List[string]</em><br/>
HF dataset IDs (like <code>common_voice</code> or <code>oscar-corpus/OSCAR-2109</code>) used in the Space.<br/>
Will be parsed automatically from your code if not specified here.`,se,x,Ae=`<strong><code>tags</code></strong> : <em>List[string]</em><br/>
List of terms that describe your Space task or scope.`,ne,k,$e=`<strong><code>pinned</code></strong> : <em>boolean</em><br/>
Whether the Space stays on top of your profile. Can be useful if you have a lot of Spaces so you and others can quickly see your best Space.`,le,q,Ee=`<strong><code>hf_oauth</code></strong> : <em>boolean</em><br/>
Whether a connected OAuth app is associated to this Space. See <a href="https://huggingface.co/docs/hub/spaces-oauth" rel="nofollow">Adding a Sign-In with HF button to your Space</a> for more details.`,ie,W,ze=`<strong><code>hf_oauth_redirect_path</code></strong> : <em>string</em><br/>
Authorized relative redirect path of the connected OAuth app. <code>/login/callback</code> and <code>/auth/callback</code> are authorized by default and do not need this parameter. See <a href="https://huggingface.co/docs/hub/spaces-oauth" rel="nofollow">Adding a Sign-In with HF button to your space</a> for more details.`,ae,j,Oe=`<strong><code>disable_embedding</code></strong> : <em>boolean</em><br/>
Whether the Space iframe can be embedded in other websites.
Defaults to false, i.e. Spaces <em>can</em> be embedded.`,ce,A,De=`<strong><code>custom_headers</code></strong> : <em>Dict[string, string]</em><br/>
Set custom HTTP headers that will be added to all HTTP responses when serving your Space.<br/>
For now, only the <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Embedder-Policy" rel="nofollow">cross-origin-embedder-policy</a> (COEP), <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Opener-Policy" rel="nofollow">cross-origin-opener-policy</a> (COOP), and <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Resource-Policy" rel="nofollow">cross-origin-resource-policy</a> (CORP) headers are allowed. These headers can be used to set up a cross-origin isolated environment and enable powerful features like <code>SharedArrayBuffer</code>, for example:`,de,$,pe,E,Ie="<em>Note:</em> all headers and values must be lowercase.",ue;return u=new tt({}),$=new ot({props:{code:"Y3VzdG9tX2hlYWRlcnMlM0ElMEElMjAlMjBjcm9zcy1vcmlnaW4tZW1iZWRkZXItcG9saWN5JTNBJTIwcmVxdWlyZS1jb3JwJTBBJTIwJTIwY3Jvc3Mtb3JpZ2luLW9wZW5lci1wb2xpY3klM0ElMjBzYW1lLW9yaWdpbiUwQSUyMCUyMGNyb3NzLW9yaWdpbi1yZXNvdXJjZS1wb2xpY3klM0ElMjBjcm9zcy1vcmlnaW4=",highlighted:`<span class="hljs-attr">custom_headers:</span>
  <span class="hljs-attr">cross-origin-embedder-policy:</span> <span class="hljs-string">require-corp</span>
  <span class="hljs-attr">cross-origin-opener-policy:</span> <span class="hljs-string">same-origin</span>
  <span class="hljs-attr">cross-origin-resource-policy:</span> <span class="hljs-string">cross-origin</span>`}}),{c(){c=s("meta"),J=l(),d=s("h1"),p=s("a"),D=s("span"),Ue(u.$$.fragment),me=l(),z=s("span"),z.textContent=be,N=l(),h=s("p"),h.innerHTML=ve,U=l(),m=s("p"),m.innerHTML=ye,R=l(),f=s("p"),f.innerHTML=Te,B=l(),g=s("p"),g.innerHTML=Me,F=l(),b=s("p"),b.innerHTML=He,Z=l(),v=s("p"),v.innerHTML=_e,Y=l(),y=s("p"),y.innerHTML=we,G=l(),T=s("p"),T.innerHTML=Le,V=l(),M=s("p"),M.innerHTML=Se,X=l(),H=s("p"),H.innerHTML=Ce,K=l(),_=s("p"),_.innerHTML=Pe,Q=l(),w=s("p"),w.innerHTML=xe,ee=l(),L=s("p"),L.innerHTML=ke,te=l(),S=s("p"),S.innerHTML=qe,oe=l(),C=s("p"),C.innerHTML=We,re=l(),P=s("p"),P.innerHTML=je,se=l(),x=s("p"),x.innerHTML=Ae,ne=l(),k=s("p"),k.innerHTML=$e,le=l(),q=s("p"),q.innerHTML=Ee,ie=l(),W=s("p"),W.innerHTML=ze,ae=l(),j=s("p"),j.innerHTML=Oe,ce=l(),A=s("p"),A.innerHTML=De,de=l(),Ue($.$$.fragment),pe=l(),E=s("p"),E.innerHTML=Ie,this.h()},l(e){const o=et("svelte-1phssyn",document.head);c=n(o,"META",{name:!0,content:!0}),o.forEach(t),J=i(e),d=n(e,"H1",{class:!0});var he=fe(d);p=n(he,"A",{id:!0,class:!0,href:!0});var Je=fe(p);D=n(Je,"SPAN",{});var Ne=fe(D);Re(u.$$.fragment,Ne),Ne.forEach(t),Je.forEach(t),me=i(he),z=n(he,"SPAN",{"data-svelte-h":!0}),a(z)!=="svelte-dgbp7h"&&(z.textContent=be),he.forEach(t),N=i(e),h=n(e,"P",{"data-svelte-h":!0}),a(h)!=="svelte-1rus8o"&&(h.innerHTML=ve),U=i(e),m=n(e,"P",{"data-svelte-h":!0}),a(m)!=="svelte-1o8zbi0"&&(m.innerHTML=ye),R=i(e),f=n(e,"P",{"data-svelte-h":!0}),a(f)!=="svelte-1f0ocfz"&&(f.innerHTML=Te),B=i(e),g=n(e,"P",{"data-svelte-h":!0}),a(g)!=="svelte-qbm1rz"&&(g.innerHTML=Me),F=i(e),b=n(e,"P",{"data-svelte-h":!0}),a(b)!=="svelte-1u1c3la"&&(b.innerHTML=He),Z=i(e),v=n(e,"P",{"data-svelte-h":!0}),a(v)!=="svelte-vqx1dg"&&(v.innerHTML=_e),Y=i(e),y=n(e,"P",{"data-svelte-h":!0}),a(y)!=="svelte-1djpop4"&&(y.innerHTML=we),G=i(e),T=n(e,"P",{"data-svelte-h":!0}),a(T)!=="svelte-1q9ujtb"&&(T.innerHTML=Le),V=i(e),M=n(e,"P",{"data-svelte-h":!0}),a(M)!=="svelte-5hxgt9"&&(M.innerHTML=Se),X=i(e),H=n(e,"P",{"data-svelte-h":!0}),a(H)!=="svelte-1wd1r0k"&&(H.innerHTML=Ce),K=i(e),_=n(e,"P",{"data-svelte-h":!0}),a(_)!=="svelte-10ue70i"&&(_.innerHTML=Pe),Q=i(e),w=n(e,"P",{"data-svelte-h":!0}),a(w)!=="svelte-np4by"&&(w.innerHTML=xe),ee=i(e),L=n(e,"P",{"data-svelte-h":!0}),a(L)!=="svelte-a0961b"&&(L.innerHTML=ke),te=i(e),S=n(e,"P",{"data-svelte-h":!0}),a(S)!=="svelte-10nikp5"&&(S.innerHTML=qe),oe=i(e),C=n(e,"P",{"data-svelte-h":!0}),a(C)!=="svelte-s0reay"&&(C.innerHTML=We),re=i(e),P=n(e,"P",{"data-svelte-h":!0}),a(P)!=="svelte-1sc6yo3"&&(P.innerHTML=je),se=i(e),x=n(e,"P",{"data-svelte-h":!0}),a(x)!=="svelte-1gxsj06"&&(x.innerHTML=Ae),ne=i(e),k=n(e,"P",{"data-svelte-h":!0}),a(k)!=="svelte-n0xeyu"&&(k.innerHTML=$e),le=i(e),q=n(e,"P",{"data-svelte-h":!0}),a(q)!=="svelte-8e9il"&&(q.innerHTML=Ee),ie=i(e),W=n(e,"P",{"data-svelte-h":!0}),a(W)!=="svelte-1fx319r"&&(W.innerHTML=ze),ae=i(e),j=n(e,"P",{"data-svelte-h":!0}),a(j)!=="svelte-1vor0c2"&&(j.innerHTML=Oe),ce=i(e),A=n(e,"P",{"data-svelte-h":!0}),a(A)!=="svelte-1vtuad"&&(A.innerHTML=De),de=i(e),Re($.$$.fragment,e),pe=i(e),E=n(e,"P",{"data-svelte-h":!0}),a(E)!=="svelte-1athwnk"&&(E.innerHTML=Ie),this.h()},h(){O(c,"name","hf:doc:metadata"),O(c,"content",JSON.stringify(st)),O(p,"id","spaces-configuration-reference"),O(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),O(p,"href","#spaces-configuration-reference"),O(d,"class","relative group")},m(e,o){I(document.head,c),r(e,J,o),r(e,d,o),I(d,p),I(p,D),Be(u,D,null),I(d,me),I(d,z),r(e,N,o),r(e,h,o),r(e,U,o),r(e,m,o),r(e,R,o),r(e,f,o),r(e,B,o),r(e,g,o),r(e,F,o),r(e,b,o),r(e,Z,o),r(e,v,o),r(e,Y,o),r(e,y,o),r(e,G,o),r(e,T,o),r(e,V,o),r(e,M,o),r(e,X,o),r(e,H,o),r(e,K,o),r(e,_,o),r(e,Q,o),r(e,w,o),r(e,ee,o),r(e,L,o),r(e,te,o),r(e,S,o),r(e,oe,o),r(e,C,o),r(e,re,o),r(e,P,o),r(e,se,o),r(e,x,o),r(e,ne,o),r(e,k,o),r(e,le,o),r(e,q,o),r(e,ie,o),r(e,W,o),r(e,ae,o),r(e,j,o),r(e,ce,o),r(e,A,o),r(e,de,o),Be($,e,o),r(e,pe,o),r(e,E,o),ue=!0},p:Ve,i(e){ue||(Fe(u.$$.fragment,e),Fe($.$$.fragment,e),ue=!0)},o(e){Ze(u.$$.fragment,e),Ze($.$$.fragment,e),ue=!1},d(e){e&&(t(J),t(d),t(N),t(h),t(U),t(m),t(R),t(f),t(B),t(g),t(F),t(b),t(Z),t(v),t(Y),t(y),t(G),t(T),t(V),t(M),t(X),t(H),t(K),t(_),t(Q),t(w),t(ee),t(L),t(te),t(S),t(oe),t(C),t(re),t(P),t(se),t(x),t(ne),t(k),t(le),t(q),t(ie),t(W),t(ae),t(j),t(ce),t(A),t(de),t(pe),t(E)),t(c),Ye(u),Ye($,e)}}}const st={local:"spaces-configuration-reference",title:"Spaces Configuration Reference"};function nt(ge){return Xe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dt extends Ke{constructor(c){super(),Qe(this,c,nt,rt,Ge,{})}}export{dt as component};
