import{s as Z,n as tt,o as et}from"../chunks/scheduler.7bc62968.js";import{S as ot,i as at,g as a,s as v,r as O,A as dt,h as d,f as e,c as b,j as w,u as V,x as k,k as r,y as u,a as i,v as Y,d as J,t as K,w as Q}from"../chunks/index.2f8492b0.js";import{I as X}from"../chunks/IconCopyLink.33ab0cda.js";function rt(B){let s,$,c,l,E,p,S,_,F="Hub API Endpoints",G,q,W='We have open endpoints that you can use to retrieve information from the Hub as well as perform certain actions such as creating model, dataset or Space repos. We offer a wrapper Python library, <a href="https://github.com/huggingface/huggingface_hub" rel="nofollow"><code>huggingface_hub</code></a>, that allows easy access to these endpoints. We also provide <a href="./webhooks">webhooks</a> to receive real-time incremental info about repos. Enjoy!',z,n,h,T,f,A,y,M="Endpoints table",x,m,N='The base URL for those endpoints below is <code>https://huggingface.co</code>. For example, to construct the <code>api/models</code> call below, one can call the URL <a href="https://huggingface.co/api/models" rel="nofollow">https://huggingface.co/api/models</a>',P,g,j='<thead><tr><th>Endpoint</th> <th>Description</th> <th><code>huggingface_hub</code> root methods</th> <th>Payload</th> <th></th></tr></thead> <tbody><tr><td>/api/models     GET</td> <td>Get information from all models in the Hub. The response is paginated, use the <a href="https://docs.github.com/en/rest/guides/using-pagination-in-the-rest-api?apiVersion=2022-11-28#link-header" rel="nofollow"><code>Link</code> header</a> to get the following pages. You can specify additional parameters to have more specific results.   - <code>search</code>: Filter based on substrings for repos and their usernames, such as <code>resnet</code> or <code>microsoft</code> - <code>author</code>: Filter models by an author or organization, such as <code>huggingface</code> or <code>microsoft</code> - <code>filter</code>: Filter based on tags, such as <code>text-classification</code> or <code>spacy</code>. - <code>sort</code>: Property to use when sorting, such as <code>downloads</code> or <code>author</code>.  - <code>direction</code>: Direction in which to sort, such as <code>-1</code> for descending, and anything else for ascending. - <code>limit</code>: Limit the number of models fetched.  - <code>full</code>: Whether to fetch most model data, such as all tags, the files, etc.  - <code>config</code>: Whether to also fetch the repo config.</td> <td><code>list_models()</code></td> <td><code>params= { &quot;search&quot;:&quot;search&quot;, &quot;author&quot;:&quot;author&quot;, &quot;filter&quot;:&quot;filter&quot;, &quot;sort&quot;:&quot;sort&quot;, &quot;direction&quot;:&quot;direction&quot;, &quot;limit&quot;:&quot;limit&quot;, &quot;full&quot;:&quot;full&quot;, &quot;config&quot;:&quot;config&quot;}</code></td> <td></td></tr> <tr><td>/api/models/{repo_id}   /api/models/{repo_id}/revision/{revision}    GET</td> <td>Get all information for a specific model.</td> <td><code>model_info(repo_id, revision)</code></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot; }</code></td> <td></td></tr> <tr><td>/api/models-tags-by-type   GET</td> <td>Gets all the available model tags hosted in the Hub</td> <td><code>get_model_tags()</code></td> <td></td> <td></td></tr> <tr><td>/api/datasets     GET</td> <td>Get information from all datasets in the Hub. The response is paginated, use the <a href="https://docs.github.com/en/rest/guides/using-pagination-in-the-rest-api?apiVersion=2022-11-28#link-header" rel="nofollow"><code>Link</code> header</a> to get the following pages. You can specify additional parameters to have more specific results. - <code>search</code>: Filter based on substrings for repos and their usernames, such as <code>pets</code> or <code>microsoft</code>   - <code>author</code>: Filter datasets by an other or organization, such as <code>huggingface</code> or <code>microsoft</code> - <code>filter</code>: Filter based on tags, such as <code>task_categories:text-classification</code> or <code>languages:en</code>. - <code>sort</code>: Property to use when sorting, such as <code>downloads</code> or <code>author</code>. - <code>direction</code>: Direction in which to sort, such as <code>-1</code> for descending, and anything else for ascending. - <code>limit</code>: Limit the number of datasets fetched.  - <code>full</code>: Whether to fetch most dataset data, such as all tags, the files, etc.</td> <td><code>list_datasets()</code></td> <td><code>params= { &quot;search&quot;:&quot;search&quot;, &quot;author&quot;:&quot;author&quot;, &quot;filter&quot;:&quot;filter&quot;, &quot;sort&quot;:&quot;sort&quot;, &quot;direction&quot;:&quot;direction&quot;, &quot;limit&quot;:&quot;limit&quot;, &quot;full&quot;:&quot;full&quot;, &quot;config&quot;:&quot;config&quot;}</code></td> <td></td></tr> <tr><td>/api/datasets/{repo_id}   /api/datasets/{repo_id}/revision/{revision}    GET</td> <td>Get all information for a specific dataset.   - <code>full</code>: Whether to fetch most dataset data, such as all tags, the files, etc.</td> <td><code>dataset_info(repo_id, revision)</code></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot;, &quot;full&quot; : &quot;full&quot; }</code></td> <td></td></tr> <tr><td>/api/datasets/{repo_id}/parquet   /api/datasets/{repo_id}/parquet/{config}/{split}       GET</td> <td>Get the list of auto-converted parquet files.</td> <td></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot;, &quot;full&quot; : &quot;full&quot; }</code></td> <td></td></tr> <tr><td>/api/datasets/{repo_id}/parquet/{config}/{split}/{n}.parquet       GET</td> <td>Get the nth shard of the auto-converted parquet files.</td> <td></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot;, &quot;full&quot; : &quot;full&quot; }</code></td> <td></td></tr> <tr><td>/api/datasets-tags-by-type   GET</td> <td>Gets all the available dataset tags hosted in the Hub</td> <td><code>get_dataset_tags()</code></td> <td></td> <td></td></tr> <tr><td>/api/spaces     GET</td> <td>Get information from all Spaces in the Hub. The response is paginated, use the <a href="https://docs.github.com/en/rest/guides/using-pagination-in-the-rest-api?apiVersion=2022-11-28#link-header" rel="nofollow"><code>Link</code> header</a> to get the following pages. You can specify additional parameters to have more specific results.   - <code>search</code>: Filter based on substrings for repos and their usernames, such as <code>resnet</code> or <code>microsoft</code> - <code>author</code>: Filter models by an author or organization, such as <code>huggingface</code> or <code>microsoft</code> - <code>filter</code>: Filter based on tags, such as <code>text-classification</code> or <code>spacy</code>. - <code>sort</code>: Property to use when sorting, such as <code>downloads</code> or <code>author</code>.  - <code>direction</code>: Direction in which to sort, such as <code>-1</code> for descending, and anything else for ascending. - <code>limit</code>: Limit the number of models fetched.  - <code>full</code>: Whether to fetch most model data, such as all tags, the files, etc.  - <code>config</code>: Whether to also fetch the repo config.</td> <td><code>list_spaces()</code></td> <td><code>params= { &quot;search&quot;:&quot;search&quot;, &quot;author&quot;:&quot;author&quot;, &quot;filter&quot;:&quot;filter&quot;, &quot;sort&quot;:&quot;sort&quot;, &quot;direction&quot;:&quot;direction&quot;, &quot;limit&quot;:&quot;limit&quot;, &quot;full&quot;:&quot;full&quot;, &quot;config&quot;:&quot;config&quot;}</code></td> <td></td></tr> <tr><td>/api/spaces/{repo_id}   /api/spaces/{repo_id}/revision/{revision}    GET</td> <td>Get all information for a specific model.</td> <td><code>space_info(repo_id, revision)</code></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot; }</code></td> <td></td></tr> <tr><td>/api/metrics     GET</td> <td>Get information from all metrics in the Hub.</td> <td><code>list_metrics()</code></td> <td></td> <td></td></tr> <tr><td>/api/repos/create     POST</td> <td>Create a repository. It’s a model repo by default.   -         type: Type of repo (datasets or spaces; model by default).   - name: Name of repo.   - organization: Name of organization. -   - private: Whether the repo is private.</td> <td><code>create_repo()</code></td> <td><code>headers = { authorization : &quot;Bearer $token&quot; }</code> <code>json= {&quot;type&quot;:&quot;type&quot;, &quot;repo_id&quot;:&quot;repo_id&quot;, &quot;private&quot;:&quot;private&quot;}</code></td> <td></td></tr> <tr><td>/api/repos/delete    DELETE</td> <td>Delete a repository. It’s a model repo by default.   -         type: Type of repo (datasets or spaces; model by default).   - name: Name of repo.   - organization: Name of organization.</td> <td><code>delete_repo()</code></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot; }</code> <code>json= {&quot;type&quot;:&quot;type&quot;, &quot;name&quot;:&quot;name&quot;, &quot;organization&quot;:&quot;organization&quot;}</code></td> <td></td></tr> <tr><td>/api/repos/{type}/{repo_id}/settings   PUT</td> <td>Update repo visibility.</td> <td><code>update_repo_visibility()</code></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot; }</code> <code>json= {&quot;private&quot;:&quot;private&quot;}</code></td> <td></td></tr> <tr><td>/api/repos/move POST</td> <td>Move a repository (rename within same namespace or transfer from user to organization).</td> <td><code>move_repo()</code></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot; }</code> <code>json= {&quot;fromRepo&quot; : &quot;namespace/repo_name&quot;, &quot;toRepo&quot; : &quot;namespace2/repo_name2&quot;}</code></td> <td></td></tr> <tr><td>/api/whoami-v2    GET</td> <td>Get username and organizations the user belongs to.</td> <td><code>whoami(token)</code></td> <td><code>headers = { &quot;authorization&quot; : &quot;Bearer $token&quot; }</code></td> <td></td></tr></tbody>',L;return p=new X({}),f=new X({}),{c(){s=a("meta"),$=v(),c=a("h1"),l=a("a"),E=a("span"),O(p.$$.fragment),S=v(),_=a("span"),_.textContent=F,G=v(),q=a("p"),q.innerHTML=W,z=v(),n=a("h2"),h=a("a"),T=a("span"),O(f.$$.fragment),A=v(),y=a("span"),y.textContent=M,x=v(),m=a("p"),m.innerHTML=N,P=v(),g=a("table"),g.innerHTML=j,this.h()},l(t){const o=dt("svelte-1phssyn",document.head);s=d(o,"META",{name:!0,content:!0}),o.forEach(e),$=b(t),c=d(t,"H1",{class:!0});var H=w(c);l=d(H,"A",{id:!0,class:!0,href:!0});var D=w(l);E=d(D,"SPAN",{});var I=w(E);V(p.$$.fragment,I),I.forEach(e),D.forEach(e),S=b(H),_=d(H,"SPAN",{"data-svelte-h":!0}),k(_)!=="svelte-qpcm6u"&&(_.textContent=F),H.forEach(e),G=b(t),q=d(t,"P",{"data-svelte-h":!0}),k(q)!=="svelte-1carg1c"&&(q.innerHTML=W),z=b(t),n=d(t,"H2",{class:!0});var C=w(n);h=d(C,"A",{id:!0,class:!0,href:!0});var R=w(h);T=d(R,"SPAN",{});var U=w(T);V(f.$$.fragment,U),U.forEach(e),R.forEach(e),A=b(C),y=d(C,"SPAN",{"data-svelte-h":!0}),k(y)!=="svelte-1sq514h"&&(y.textContent=M),C.forEach(e),x=b(t),m=d(t,"P",{"data-svelte-h":!0}),k(m)!=="svelte-yxyhu6"&&(m.innerHTML=N),P=b(t),g=d(t,"TABLE",{"data-svelte-h":!0}),k(g)!=="svelte-10jvjfi"&&(g.innerHTML=j),this.h()},h(){r(s,"name","hf:doc:metadata"),r(s,"content",JSON.stringify(it)),r(l,"id","hub-api-endpoints"),r(l,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(l,"href","#hub-api-endpoints"),r(c,"class","relative group"),r(h,"id","endpoints-table"),r(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(h,"href","#endpoints-table"),r(n,"class","relative group")},m(t,o){u(document.head,s),i(t,$,o),i(t,c,o),u(c,l),u(l,E),Y(p,E,null),u(c,S),u(c,_),i(t,G,o),i(t,q,o),i(t,z,o),i(t,n,o),u(n,h),u(h,T),Y(f,T,null),u(n,A),u(n,y),i(t,x,o),i(t,m,o),i(t,P,o),i(t,g,o),L=!0},p:tt,i(t){L||(J(p.$$.fragment,t),J(f.$$.fragment,t),L=!0)},o(t){K(p.$$.fragment,t),K(f.$$.fragment,t),L=!1},d(t){t&&(e($),e(c),e(G),e(q),e(z),e(n),e(x),e(m),e(P),e(g)),e(s),Q(p),Q(f)}}}const it={local:"hub-api-endpoints",sections:[{local:"endpoints-table",title:"Endpoints table"}],title:"Hub API Endpoints"};function st(B){return et(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class lt extends ot{constructor(s){super(),at(this,s,st,rt,Z,{})}}export{lt as component};
