import{s as pt,n as mt,o as ft}from"../chunks/scheduler.7bc62968.js";import{S as gt,i as vt,g as i,s,r as B,A as yt,h as l,f as t,c as n,j as c,u as D,x as h,k as r,y as d,a as o,v as J,d as R,t as W,w as K}from"../chunks/index.2f8492b0.js";import{I as le}from"../chunks/IconCopyLink.33ab0cda.js";import{C as wt}from"../chunks/CodeBlock.76c77077.js";function bt(Ve){let u,se,p,y,ee,k,Ee,z,Ie="Using Asteroid at Hugging Face",ne,H,Fe="<code>asteroid</code> is a Pytorch toolkit for audio source separation. It enables fast experimentation on common datasets with support for a large range of datasets and recipes to reproduce papers.",re,m,w,te,A,Ne,O,Ge="Exploring Asteroid in the Hub",de,M,Ze='You can find <code>asteroid</code> models by filtering at the left of the <a href="https://huggingface.co/models?filter=asteroid" rel="nofollow">models page</a>.',he,T,qe="All models on the Hub come up with the following features:",ce,L,ze="<li>An automatically generated model card with a description, a training configuration, metrics and more.</li> <li>Metadata tags that help for discoverability and contain information such as license and datasets.</li> <li>An interactive widget you can use to play out with the model directly in the browser.</li> <li>An Inference API that allows to make inference requests.</li>",ue,b,Oe='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_widget.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_widget-dark.png"/>',pe,f,x,ae,P,Se,X,Xe="Using existing models",me,E,Ye='For a full guide on loading pre-trained models, we recommend checking out the <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md" rel="nofollow">official guide</a>.',fe,N,Qe="All model classes (<code>BaseModel</code>, <code>ConvTasNet</code>, etc) have a <code>from_pretrained</code> method that allows to load models from the Hub.",ge,S,ve,U,Be="If you want to see how to load a specific model, you can click <code>Use in Adapter Transformers</code> and you will be given a working snippet that you can load it!",ye,_,De='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_snippet.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_snippet-dark.png"/>',we,g,$,oe,j,Ue,Y,Je="Sharing your models",be,V,Re='At the moment there is no automatic method to upload your models to the Hub, but the process to upload them is documented in the <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md#share-your-models" rel="nofollow">official guide</a>.',xe,I,We="All the recipes create all the needed files to upload a model to the Hub. The process usually involves the following steps:",_e,F,Ke="<li>Create and clone a model repository.</li> <li>Moving files from the recipe output to the repository (model card, model filte, TensorBoard traces).</li> <li>Push the files (<code>git add</code> + <code>git commit</code> + <code>git push</code>).</li>",$e,G,et="Once you do this, you can try out your model directly in the browser and share it with the rest of the community.",Ce,v,C,ie,Z,je,Q,tt="Additional resources",ke,q,at='<li>Asteroid <a href="https://asteroid-team.github.io/" rel="nofollow">website</a>.</li> <li>Asteroid <a href="https://github.com/asteroid-team/asteroid" rel="nofollow">library</a>.</li> <li>Integration <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md" rel="nofollow">docs</a>.</li>',He;return k=new le({}),A=new le({}),P=new le({}),S=new wt({props:{code:"ZnJvbSUyMGFzdGVyb2lkLm1vZGVscyUyMGltcG9ydCUyMENvbnZUYXNOZXQlMEFtb2RlbCUyMCUzRCUyMENvbnZUYXNOZXQuZnJvbV9wcmV0cmFpbmVkKCdtcGFyaWVudGUlMkZDb252VGFzTmV0X1dIQU1fc2VwY2xlYW4nKQ==",highlighted:`<span class="hljs-keyword">from</span> asteroid.models <span class="hljs-keyword">import</span> ConvTasNet
model = ConvTasNet.from_pretrained(<span class="hljs-string">&#x27;mpariente/ConvTasNet_WHAM_sepclean&#x27;</span>)`}}),j=new le({}),Z=new le({}),{c(){u=i("meta"),se=s(),p=i("h1"),y=i("a"),ee=i("span"),B(k.$$.fragment),Ee=s(),z=i("span"),z.textContent=Ie,ne=s(),H=i("p"),H.innerHTML=Fe,re=s(),m=i("h2"),w=i("a"),te=i("span"),B(A.$$.fragment),Ne=s(),O=i("span"),O.textContent=Ge,de=s(),M=i("p"),M.innerHTML=Ze,he=s(),T=i("p"),T.textContent=qe,ce=s(),L=i("ol"),L.innerHTML=ze,ue=s(),b=i("div"),b.innerHTML=Oe,pe=s(),f=i("h2"),x=i("a"),ae=i("span"),B(P.$$.fragment),Se=s(),X=i("span"),X.textContent=Xe,me=s(),E=i("p"),E.innerHTML=Ye,fe=s(),N=i("p"),N.innerHTML=Qe,ge=s(),B(S.$$.fragment),ve=s(),U=i("p"),U.innerHTML=Be,ye=s(),_=i("div"),_.innerHTML=De,we=s(),g=i("h2"),$=i("a"),oe=i("span"),B(j.$$.fragment),Ue=s(),Y=i("span"),Y.textContent=Je,be=s(),V=i("p"),V.innerHTML=Re,xe=s(),I=i("p"),I.textContent=We,_e=s(),F=i("ol"),F.innerHTML=Ke,$e=s(),G=i("p"),G.textContent=et,Ce=s(),v=i("h2"),C=i("a"),ie=i("span"),B(Z.$$.fragment),je=s(),Q=i("span"),Q.textContent=tt,ke=s(),q=i("ul"),q.innerHTML=at,this.h()},l(e){const a=yt("svelte-1phssyn",document.head);u=l(a,"META",{name:!0,content:!0}),a.forEach(t),se=n(e),p=l(e,"H1",{class:!0});var Ae=c(p);y=l(Ae,"A",{id:!0,class:!0,href:!0});var ot=c(y);ee=l(ot,"SPAN",{});var it=c(ee);D(k.$$.fragment,it),it.forEach(t),ot.forEach(t),Ee=n(Ae),z=l(Ae,"SPAN",{"data-svelte-h":!0}),h(z)!=="svelte-aepujz"&&(z.textContent=Ie),Ae.forEach(t),ne=n(e),H=l(e,"P",{"data-svelte-h":!0}),h(H)!=="svelte-1qjlbp6"&&(H.innerHTML=Fe),re=n(e),m=l(e,"H2",{class:!0});var Me=c(m);w=l(Me,"A",{id:!0,class:!0,href:!0});var lt=c(w);te=l(lt,"SPAN",{});var st=c(te);D(A.$$.fragment,st),st.forEach(t),lt.forEach(t),Ne=n(Me),O=l(Me,"SPAN",{"data-svelte-h":!0}),h(O)!=="svelte-bbh533"&&(O.textContent=Ge),Me.forEach(t),de=n(e),M=l(e,"P",{"data-svelte-h":!0}),h(M)!=="svelte-1ub76b"&&(M.innerHTML=Ze),he=n(e),T=l(e,"P",{"data-svelte-h":!0}),h(T)!=="svelte-t2majo"&&(T.textContent=qe),ce=n(e),L=l(e,"OL",{"data-svelte-h":!0}),h(L)!=="svelte-8y4v49"&&(L.innerHTML=ze),ue=n(e),b=l(e,"DIV",{class:!0,"data-svelte-h":!0}),h(b)!=="svelte-1472ccl"&&(b.innerHTML=Oe),pe=n(e),f=l(e,"H2",{class:!0});var Te=c(f);x=l(Te,"A",{id:!0,class:!0,href:!0});var nt=c(x);ae=l(nt,"SPAN",{});var rt=c(ae);D(P.$$.fragment,rt),rt.forEach(t),nt.forEach(t),Se=n(Te),X=l(Te,"SPAN",{"data-svelte-h":!0}),h(X)!=="svelte-1ydjt5y"&&(X.textContent=Xe),Te.forEach(t),me=n(e),E=l(e,"P",{"data-svelte-h":!0}),h(E)!=="svelte-ofs9i1"&&(E.innerHTML=Ye),fe=n(e),N=l(e,"P",{"data-svelte-h":!0}),h(N)!=="svelte-1nqrvc0"&&(N.innerHTML=Qe),ge=n(e),D(S.$$.fragment,e),ve=n(e),U=l(e,"P",{"data-svelte-h":!0}),h(U)!=="svelte-1tjoh4p"&&(U.innerHTML=Be),ye=n(e),_=l(e,"DIV",{class:!0,"data-svelte-h":!0}),h(_)!=="svelte-1usnihr"&&(_.innerHTML=De),we=n(e),g=l(e,"H2",{class:!0});var Le=c(g);$=l(Le,"A",{id:!0,class:!0,href:!0});var dt=c($);oe=l(dt,"SPAN",{});var ht=c(oe);D(j.$$.fragment,ht),ht.forEach(t),dt.forEach(t),Ue=n(Le),Y=l(Le,"SPAN",{"data-svelte-h":!0}),h(Y)!=="svelte-1okndmg"&&(Y.textContent=Je),Le.forEach(t),be=n(e),V=l(e,"P",{"data-svelte-h":!0}),h(V)!=="svelte-mr4xsw"&&(V.innerHTML=Re),xe=n(e),I=l(e,"P",{"data-svelte-h":!0}),h(I)!=="svelte-1y63q62"&&(I.textContent=We),_e=n(e),F=l(e,"OL",{"data-svelte-h":!0}),h(F)!=="svelte-equ67y"&&(F.innerHTML=Ke),$e=n(e),G=l(e,"P",{"data-svelte-h":!0}),h(G)!=="svelte-14zae00"&&(G.textContent=et),Ce=n(e),v=l(e,"H2",{class:!0});var Pe=c(v);C=l(Pe,"A",{id:!0,class:!0,href:!0});var ct=c(C);ie=l(ct,"SPAN",{});var ut=c(ie);D(Z.$$.fragment,ut),ut.forEach(t),ct.forEach(t),je=n(Pe),Q=l(Pe,"SPAN",{"data-svelte-h":!0}),h(Q)!=="svelte-4447zp"&&(Q.textContent=tt),Pe.forEach(t),ke=n(e),q=l(e,"UL",{"data-svelte-h":!0}),h(q)!=="svelte-sfho8j"&&(q.innerHTML=at),this.h()},h(){r(u,"name","hf:doc:metadata"),r(u,"content",JSON.stringify(xt)),r(y,"id","using-asteroid-at-hugging-face"),r(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(y,"href","#using-asteroid-at-hugging-face"),r(p,"class","relative group"),r(w,"id","exploring-asteroid-in-the-hub"),r(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(w,"href","#exploring-asteroid-in-the-hub"),r(m,"class","relative group"),r(b,"class","flex justify-center"),r(x,"id","using-existing-models"),r(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(x,"href","#using-existing-models"),r(f,"class","relative group"),r(_,"class","flex justify-center"),r($,"id","sharing-your-models"),r($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r($,"href","#sharing-your-models"),r(g,"class","relative group"),r(C,"id","additional-resources"),r(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(C,"href","#additional-resources"),r(v,"class","relative group")},m(e,a){d(document.head,u),o(e,se,a),o(e,p,a),d(p,y),d(y,ee),J(k,ee,null),d(p,Ee),d(p,z),o(e,ne,a),o(e,H,a),o(e,re,a),o(e,m,a),d(m,w),d(w,te),J(A,te,null),d(m,Ne),d(m,O),o(e,de,a),o(e,M,a),o(e,he,a),o(e,T,a),o(e,ce,a),o(e,L,a),o(e,ue,a),o(e,b,a),o(e,pe,a),o(e,f,a),d(f,x),d(x,ae),J(P,ae,null),d(f,Se),d(f,X),o(e,me,a),o(e,E,a),o(e,fe,a),o(e,N,a),o(e,ge,a),J(S,e,a),o(e,ve,a),o(e,U,a),o(e,ye,a),o(e,_,a),o(e,we,a),o(e,g,a),d(g,$),d($,oe),J(j,oe,null),d(g,Ue),d(g,Y),o(e,be,a),o(e,V,a),o(e,xe,a),o(e,I,a),o(e,_e,a),o(e,F,a),o(e,$e,a),o(e,G,a),o(e,Ce,a),o(e,v,a),d(v,C),d(C,ie),J(Z,ie,null),d(v,je),d(v,Q),o(e,ke,a),o(e,q,a),He=!0},p:mt,i(e){He||(R(k.$$.fragment,e),R(A.$$.fragment,e),R(P.$$.fragment,e),R(S.$$.fragment,e),R(j.$$.fragment,e),R(Z.$$.fragment,e),He=!0)},o(e){W(k.$$.fragment,e),W(A.$$.fragment,e),W(P.$$.fragment,e),W(S.$$.fragment,e),W(j.$$.fragment,e),W(Z.$$.fragment,e),He=!1},d(e){e&&(t(se),t(p),t(ne),t(H),t(re),t(m),t(de),t(M),t(he),t(T),t(ce),t(L),t(ue),t(b),t(pe),t(f),t(me),t(E),t(fe),t(N),t(ge),t(ve),t(U),t(ye),t(_),t(we),t(g),t(be),t(V),t(xe),t(I),t(_e),t(F),t($e),t(G),t(Ce),t(v),t(ke),t(q)),t(u),K(k),K(A),K(P),K(S,e),K(j),K(Z)}}}const xt={local:"using-asteroid-at-hugging-face",sections:[{local:"exploring-asteroid-in-the-hub",title:"Exploring Asteroid in the Hub"},{local:"using-existing-models",title:"Using existing models"},{local:"sharing-your-models",title:"Sharing your models"},{local:"additional-resources",title:"Additional resources"}],title:"Using Asteroid at Hugging Face"};function _t(Ve){return ft(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class At extends gt{constructor(u){super(),vt(this,u,_t,bt,pt,{})}}export{At as component};
