import{s as Jt,n as Gt,o as Ut}from"../chunks/scheduler.7bc62968.js";import{S as qt,i as Ot,g as o,s as l,r as m,A as Yt,h as s,f as t,c as i,j as p,u as S,x as r,k as u,y as h,a,v as k,d as x,t as w,w as $}from"../chunks/index.2f8492b0.js";import{I as ye}from"../chunks/IconCopyLink.33ab0cda.js";import{C as Re}from"../chunks/CodeBlock.76c77077.js";function zt(nt){let c,ve,f,C,ue,P,De,oe,at="Git over SSH",de,M,ot="You can access and write data in repositories on huggingface.co using SSH (Secure Shell Protocol). When you connect via SSH, you authenticate using a private key file on your local machine.",ge,L,st="Some actions, such as pushing changes, or cloning private repositories, will require you to upload your SSH public key to your account on huggingface.co.",me,A,lt="You can use a pre-existing SSH key, or generate a new one specifically for huggingface.co.",Se,y,_,he,I,Ve,se,it="Checking for existing SSH keys",ke,E,rt="If you have an existing SSH key, you can use that key to authenticate Git operations over SSH.",xe,N,ut="SSH keys are usually located under <code>~/.ssh</code> on Mac &amp; Linux, and under <code>C:\\\\Users\\\\&lt;username&gt;\\\\.ssh</code> on Windows. List files under that directory and look for files of the form:",we,j,ht="<li>id_rsa.pub</li> <li>id_ecdsa.pub</li> <li>id_ed25519.pub</li>",$e,W,pt="Those files contain your SSH public key.",Ce,J,ct='If you don’t have such file under <code>~/.ssh</code>, you will have to <a href="#generating-a-new-ssh-keypair">generate a new key</a>. Otherwise, you can <a href="#add-a-ssh-key-to-your-account">add your existing SSH public key(s) to your huggingface.co account</a>.',_e,v,H,pe,G,Ke,le,ft="Generating a new SSH keypair",He,U,yt="If you don’t have any SSH keys on your machine, you can use <code>ssh-keygen</code> to generate a new SSH key pair (public + private keys):",be,q,Te,O,vt="We recommend entering a passphrase when you are prompted to. A passphrase is an extra layer of security: it is a password that will be prompted whenever you use your SSH key.",Pe,Y,dt="Once your new key is generated, add it to your SSH agent with <code>ssh-add</code>:",Me,z,Le,B,gt="If you chose a different location than the default to store your SSH key, you would have to replace <code>~/.ssh/id_ed25519</code> with the file location you used.",Ae,d,b,ce,X,et,ie,mt="Add a SSH key to your account",Ie,Z,St='To access private repositories with SSH, or to push changes via SSH, you will need to add your SSH public key to your huggingface.co account. You can manage your SSH keys <a href="https://huggingface.co/settings/keys" rel="nofollow">in your user settings</a>.',Ee,Q,kt="To add a SSH key to your account, click on the “Add SSH key” button.",Ne,F,xt="Then, enter a name for this key (for example, “Personal computer”), and copy and paste the content of your <strong>public</strong> SSH key in the area below. The public key is located in the <code>~/.ssh/id_XXXX.pub</code> file you found or generated in the previous steps.",je,R,wt="Click on “Add key”, and voilà! You have added a SSH key to your huggingface.co account.",We,g,T,fe,D,tt,re,$t="Testing your SSH authentication",Je,V,Ct="Once you have added your SSH key to your huggingface.co account, you can test that the connection works as expected.",Ge,K,_t="In a terminal, run:",Ue,ee,qe,te,Ht="If you see a message with your username, congrats! Everything went well, you are ready to use git over SSH.",Oe,ne,bt="Otherwise, if the message states something like the following, make sure your SSH key is actually used by your SSH agent.",Ye,ae,ze;return P=new ye({}),I=new ye({}),G=new ye({}),q=new Re({props:{code:"JTI0JTIwc3NoLWtleWdlbiUyMC10JTIwZWQyNTUxOSUyMC1DJTIwJTIyeW91ci5lbWFpbCU0MGV4YW1wbGUuY28lMjI=",highlighted:'<span class="hljs-variable">$ </span>ssh-keygen -t ed25519 -C <span class="hljs-string">&quot;your.email@example.co&quot;</span>'}}),z=new Re({props:{code:"JTI0JTIwc3NoLWFkZCUyMH4lMkYuc3NoJTJGaWRfZWQyNTUxOQ==",highlighted:'$ ssh-add ~<span class="hljs-regexp">/.ssh/i</span>d_ed25519'}}),X=new ye({}),D=new ye({}),ee=new Re({props:{code:"JTI0JTIwc3NoJTIwLVQlMjBnaXQlNDBoZi5jbw==",highlighted:'<span class="hljs-variable">$ </span>ssh -T git<span class="hljs-variable">@hf</span>.co'}}),ae=new Re({props:{code:"SGklMjBhbm9ueW1vdXMlMkMlMjB3ZWxjb21lJTIwdG8lMjBIdWdnaW5nJTIwRmFjZS4=",highlighted:'Hi anonymous, welcome <span class="hljs-keyword">to</span> Hugging Face.'}}),{c(){c=o("meta"),ve=l(),f=o("h1"),C=o("a"),ue=o("span"),m(P.$$.fragment),De=l(),oe=o("span"),oe.textContent=at,de=l(),M=o("p"),M.textContent=ot,ge=l(),L=o("p"),L.textContent=st,me=l(),A=o("p"),A.textContent=lt,Se=l(),y=o("h2"),_=o("a"),he=o("span"),m(I.$$.fragment),Ve=l(),se=o("span"),se.textContent=it,ke=l(),E=o("p"),E.textContent=rt,xe=l(),N=o("p"),N.innerHTML=ut,we=l(),j=o("ul"),j.innerHTML=ht,$e=l(),W=o("p"),W.textContent=pt,Ce=l(),J=o("p"),J.innerHTML=ct,_e=l(),v=o("h2"),H=o("a"),pe=o("span"),m(G.$$.fragment),Ke=l(),le=o("span"),le.textContent=ft,He=l(),U=o("p"),U.innerHTML=yt,be=l(),m(q.$$.fragment),Te=l(),O=o("p"),O.textContent=vt,Pe=l(),Y=o("p"),Y.innerHTML=dt,Me=l(),m(z.$$.fragment),Le=l(),B=o("p"),B.innerHTML=gt,Ae=l(),d=o("h2"),b=o("a"),ce=o("span"),m(X.$$.fragment),et=l(),ie=o("span"),ie.textContent=mt,Ie=l(),Z=o("p"),Z.innerHTML=St,Ee=l(),Q=o("p"),Q.textContent=kt,Ne=l(),F=o("p"),F.innerHTML=xt,je=l(),R=o("p"),R.textContent=wt,We=l(),g=o("h2"),T=o("a"),fe=o("span"),m(D.$$.fragment),tt=l(),re=o("span"),re.textContent=$t,Je=l(),V=o("p"),V.textContent=Ct,Ge=l(),K=o("p"),K.textContent=_t,Ue=l(),m(ee.$$.fragment),qe=l(),te=o("p"),te.textContent=Ht,Oe=l(),ne=o("p"),ne.textContent=bt,Ye=l(),m(ae.$$.fragment),this.h()},l(e){const n=Yt("svelte-1phssyn",document.head);c=s(n,"META",{name:!0,content:!0}),n.forEach(t),ve=i(e),f=s(e,"H1",{class:!0});var Be=p(f);C=s(Be,"A",{id:!0,class:!0,href:!0});var Tt=p(C);ue=s(Tt,"SPAN",{});var Pt=p(ue);S(P.$$.fragment,Pt),Pt.forEach(t),Tt.forEach(t),De=i(Be),oe=s(Be,"SPAN",{"data-svelte-h":!0}),r(oe)!=="svelte-1fmnl0x"&&(oe.textContent=at),Be.forEach(t),de=i(e),M=s(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-pv2q7"&&(M.textContent=ot),ge=i(e),L=s(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-12zno3k"&&(L.textContent=st),me=i(e),A=s(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-1oi3mab"&&(A.textContent=lt),Se=i(e),y=s(e,"H2",{class:!0});var Xe=p(y);_=s(Xe,"A",{id:!0,class:!0,href:!0});var Mt=p(_);he=s(Mt,"SPAN",{});var Lt=p(he);S(I.$$.fragment,Lt),Lt.forEach(t),Mt.forEach(t),Ve=i(Xe),se=s(Xe,"SPAN",{"data-svelte-h":!0}),r(se)!=="svelte-7m2v7z"&&(se.textContent=it),Xe.forEach(t),ke=i(e),E=s(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-wo69ex"&&(E.textContent=rt),xe=i(e),N=s(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-1vn77uc"&&(N.innerHTML=ut),we=i(e),j=s(e,"UL",{"data-svelte-h":!0}),r(j)!=="svelte-9ec213"&&(j.innerHTML=ht),$e=i(e),W=s(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-rxwk1h"&&(W.textContent=pt),Ce=i(e),J=s(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-1izf4nr"&&(J.innerHTML=ct),_e=i(e),v=s(e,"H2",{class:!0});var Ze=p(v);H=s(Ze,"A",{id:!0,class:!0,href:!0});var At=p(H);pe=s(At,"SPAN",{});var It=p(pe);S(G.$$.fragment,It),It.forEach(t),At.forEach(t),Ke=i(Ze),le=s(Ze,"SPAN",{"data-svelte-h":!0}),r(le)!=="svelte-1ufluy1"&&(le.textContent=ft),Ze.forEach(t),He=i(e),U=s(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-16zb60u"&&(U.innerHTML=yt),be=i(e),S(q.$$.fragment,e),Te=i(e),O=s(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-16jpzeg"&&(O.textContent=vt),Pe=i(e),Y=s(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1n5x7wk"&&(Y.innerHTML=dt),Me=i(e),S(z.$$.fragment,e),Le=i(e),B=s(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-1uea7v7"&&(B.innerHTML=gt),Ae=i(e),d=s(e,"H2",{class:!0});var Qe=p(d);b=s(Qe,"A",{id:!0,class:!0,href:!0});var Et=p(b);ce=s(Et,"SPAN",{});var Nt=p(ce);S(X.$$.fragment,Nt),Nt.forEach(t),Et.forEach(t),et=i(Qe),ie=s(Qe,"SPAN",{"data-svelte-h":!0}),r(ie)!=="svelte-1wbcqvl"&&(ie.textContent=mt),Qe.forEach(t),Ie=i(e),Z=s(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-l074ey"&&(Z.innerHTML=St),Ee=i(e),Q=s(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-1xhgak6"&&(Q.textContent=kt),Ne=i(e),F=s(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-1mk46zm"&&(F.innerHTML=xt),je=i(e),R=s(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-1ovbcbu"&&(R.textContent=wt),We=i(e),g=s(e,"H2",{class:!0});var Fe=p(g);T=s(Fe,"A",{id:!0,class:!0,href:!0});var jt=p(T);fe=s(jt,"SPAN",{});var Wt=p(fe);S(D.$$.fragment,Wt),Wt.forEach(t),jt.forEach(t),tt=i(Fe),re=s(Fe,"SPAN",{"data-svelte-h":!0}),r(re)!=="svelte-1u7r5ik"&&(re.textContent=$t),Fe.forEach(t),Je=i(e),V=s(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-1q4osqo"&&(V.textContent=Ct),Ge=i(e),K=s(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-36tcl"&&(K.textContent=_t),Ue=i(e),S(ee.$$.fragment,e),qe=i(e),te=s(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-m4gai5"&&(te.textContent=Ht),Oe=i(e),ne=s(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-iniojm"&&(ne.textContent=bt),Ye=i(e),S(ae.$$.fragment,e),this.h()},h(){u(c,"name","hf:doc:metadata"),u(c,"content",JSON.stringify(Bt)),u(C,"id","git-over-ssh"),u(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(C,"href","#git-over-ssh"),u(f,"class","relative group"),u(_,"id","checking-for-existing-ssh-keys"),u(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(_,"href","#checking-for-existing-ssh-keys"),u(y,"class","relative group"),u(H,"id","generating-a-new-ssh-keypair"),u(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(H,"href","#generating-a-new-ssh-keypair"),u(v,"class","relative group"),u(b,"id","add-a-ssh-key-to-your-account"),u(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(b,"href","#add-a-ssh-key-to-your-account"),u(d,"class","relative group"),u(T,"id","testing-your-ssh-authentication"),u(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(T,"href","#testing-your-ssh-authentication"),u(g,"class","relative group")},m(e,n){h(document.head,c),a(e,ve,n),a(e,f,n),h(f,C),h(C,ue),k(P,ue,null),h(f,De),h(f,oe),a(e,de,n),a(e,M,n),a(e,ge,n),a(e,L,n),a(e,me,n),a(e,A,n),a(e,Se,n),a(e,y,n),h(y,_),h(_,he),k(I,he,null),h(y,Ve),h(y,se),a(e,ke,n),a(e,E,n),a(e,xe,n),a(e,N,n),a(e,we,n),a(e,j,n),a(e,$e,n),a(e,W,n),a(e,Ce,n),a(e,J,n),a(e,_e,n),a(e,v,n),h(v,H),h(H,pe),k(G,pe,null),h(v,Ke),h(v,le),a(e,He,n),a(e,U,n),a(e,be,n),k(q,e,n),a(e,Te,n),a(e,O,n),a(e,Pe,n),a(e,Y,n),a(e,Me,n),k(z,e,n),a(e,Le,n),a(e,B,n),a(e,Ae,n),a(e,d,n),h(d,b),h(b,ce),k(X,ce,null),h(d,et),h(d,ie),a(e,Ie,n),a(e,Z,n),a(e,Ee,n),a(e,Q,n),a(e,Ne,n),a(e,F,n),a(e,je,n),a(e,R,n),a(e,We,n),a(e,g,n),h(g,T),h(T,fe),k(D,fe,null),h(g,tt),h(g,re),a(e,Je,n),a(e,V,n),a(e,Ge,n),a(e,K,n),a(e,Ue,n),k(ee,e,n),a(e,qe,n),a(e,te,n),a(e,Oe,n),a(e,ne,n),a(e,Ye,n),k(ae,e,n),ze=!0},p:Gt,i(e){ze||(x(P.$$.fragment,e),x(I.$$.fragment,e),x(G.$$.fragment,e),x(q.$$.fragment,e),x(z.$$.fragment,e),x(X.$$.fragment,e),x(D.$$.fragment,e),x(ee.$$.fragment,e),x(ae.$$.fragment,e),ze=!0)},o(e){w(P.$$.fragment,e),w(I.$$.fragment,e),w(G.$$.fragment,e),w(q.$$.fragment,e),w(z.$$.fragment,e),w(X.$$.fragment,e),w(D.$$.fragment,e),w(ee.$$.fragment,e),w(ae.$$.fragment,e),ze=!1},d(e){e&&(t(ve),t(f),t(de),t(M),t(ge),t(L),t(me),t(A),t(Se),t(y),t(ke),t(E),t(xe),t(N),t(we),t(j),t($e),t(W),t(Ce),t(J),t(_e),t(v),t(He),t(U),t(be),t(Te),t(O),t(Pe),t(Y),t(Me),t(Le),t(B),t(Ae),t(d),t(Ie),t(Z),t(Ee),t(Q),t(Ne),t(F),t(je),t(R),t(We),t(g),t(Je),t(V),t(Ge),t(K),t(Ue),t(qe),t(te),t(Oe),t(ne),t(Ye)),t(c),$(P),$(I),$(G),$(q,e),$(z,e),$(X),$(D),$(ee,e),$(ae,e)}}}const Bt={local:"git-over-ssh",sections:[{local:"checking-for-existing-ssh-keys",title:"Checking for existing SSH keys"},{local:"generating-a-new-ssh-keypair",title:"Generating a new SSH keypair"},{local:"add-a-ssh-key-to-your-account",title:"Add a SSH key to your account"},{local:"testing-your-ssh-authentication",title:"Testing your SSH authentication"}],title:"Git over SSH"};function Xt(nt){return Ut(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Dt extends qt{constructor(c){super(),Ot(this,c,Xt,zt,Jt,{})}}export{Dt as component};
