import{s as Re,n as De,o as Ye}from"../chunks/scheduler.7bc62968.js";import{S as je,i as Ie,g as n,s as l,r as Pe,A as qe,h as i,f as t,c as s,j as Y,u as Xe,x as r,k as R,y as c,a as o,v as $e,d as Fe,t as We,w as Ne}from"../chunks/index.2f8492b0.js";import{I as Ge}from"../chunks/IconCopyLink.33ab0cda.js";import{C as Je}from"../chunks/CodeBlock.76c77077.js";function Ze(pe){let d,j,u,m,D,v,oe,E,he="How to Add a Space to ArXiv",I,y,de=`Demos on Hugging Face Spaces allow a wide audience to try out state-of-the-art machine
learning research without writing any code. <a href="https://huggingface.co/blog/arxiv" rel="nofollow">Hugging Face and ArXiv have collaborated</a>
to embed these demos directly along side papers on ArXiv!`,q,b,ue='Thanks to this integration, users can now find the most popular demos for a paper on its arXiv abstract page. For example, if you want to try out demos of the LayoutLM document classification model, you can go to <a href="https://arxiv.org/abs/1912.13318" rel="nofollow">the LayoutLM paper’s arXiv page</a>, and navigate to the demo tab. You will see open-source demos built by the machine learning community for this model, which you can try out immediately in your browser:',G,w,me='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/layout-lm-space-arxiv.gif"/>',J,x,fe="We’ll cover two different ways to add your Space to ArXiv and have it show up in the Demos tab.",Z,M,ge="<strong>Prerequisites</strong>",z,L,ve="<li>There’s an existing paper on ArXiv that you’d like to create a demo for</li> <li>You have built or (can build) a demo for the model on Spaces</li>",U,_,ye="<strong>Method 1 (Recommended): Linking from the Space README</strong>",Q,H,be='The simplest way to add a Space to an ArXiv paper is to include the link to the paper in the Space README file (<code>README.md</code>). It’s good practice to include a full citation as well. You can see an example of a link and a citation on this <a href="https://huggingface.co/spaces/abidlabs/echocardiogram-arxiv/blob/main/README.md" rel="nofollow">Echocardiogram Segmentation Space README</a>.',V,T,we="And that’s it! Your Space should appear in the Demo tab next to the paper on ArXiv in a few minutes 🤗",B,C,xe="<strong>Method 2: Linking a Related Model</strong>",O,k,Me="An alternative approach can be used to link Spaces to papers by linking an intermediate model to the Space. This requires that the paper is <strong>associated with a model</strong> that is on the Hugging Face Hub (or can be uploaded there)",K,p,P,Le='<p>First, upload the model associated with the ArXiv paper onto the Hugging Face Hub if it is not already there. (<a href="./models-uploading">Detailed instructions are here</a>)</p>',ne,X,_e='<p>When writing the model card (README.md) for the model, include a link to the ArXiv paper. It’s good practice to include a full citation as well. You can see an example of a link and a citation on the <a href="https://huggingface.co/microsoft/layoutlm-base-uncased" rel="nofollow">LayoutLM model card</a></p> <p><em>Note</em>: you can verify this step has been carried out successfully by seeing if an ArXiv button appears above the model card. In the case of LayoutLM, the button says: “arxiv:1912.13318” and links to the LayoutLM paper on ArXiv.</p> <p><img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/arxiv-button.png"/></p>',ie,h,$,He="Then, create a demo on Spaces that loads this model. Somewhere within the code, the model name must be included in order for Hugging Face to detect that a Space is associated with it.",le,F,Te='For example, the <a href="https://huggingface.co/spaces/iakarshu/docformer_for_document_classification" rel="nofollow">docformer_for_document_classification</a> Space loads the LayoutLM <a href="https://huggingface.co/spaces/iakarshu/docformer_for_document_classification/blob/main/modeling.py#L484" rel="nofollow">like this</a> and include the string <code>&quot;microsoft/layoutlm-base-uncased&quot;</code>:',se,S,re,W,Ce='<em>Note</em>: Here’s an <a href="./spaces-overview">overview on building demos on Hugging Face Spaces</a> and here are more specific instructions for <a href="./spaces-sdks-gradio">Gradio</a> and <a href="./spaces-sdks-streamlit">Streamlit</a>.',ce,N,ke='<p>As soon as your Space is built, Hugging Face will detect that it is associated with the model. A “Linked Models” button should appear in the top right corner of the Space, as shown here:</p> <p><img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/linked-models.png"/></p> <p><em>Note</em>:  You can also add linked models manually by explicitly updating them in the <a href="https://huggingface.co/docs/hub/spaces-config-reference" rel="nofollow">README metadata for the Space, as described here</a>.</p>',ee,A,Se="Your Space should appear in the Demo tab next to the paper on ArXiv in a few minutes 🤗",te;return v=new Ge({}),S=new Je({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMExheW91dExNRm9yVG9rZW5DbGFzc2lmaWNhdGlvbiUwQSUwQWxheW91dGxtX2R1bW15JTIwJTNEJTIwTGF5b3V0TE1Gb3JUb2tlbkNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJtaWNyb3NvZnQlMkZsYXlvdXRsbS1iYXNlLXVuY2FzZWQlMjIlMkMlMjBudW1fbGFiZWxzJTNEMSk=",highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> LayoutLMForTokenClassification

layoutlm_dummy = LayoutLMForTokenClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/layoutlm-base-uncased&quot;</span>, num_labels=<span class="hljs-number">1</span>)`}}),{c(){d=n("meta"),j=l(),u=n("h1"),m=n("a"),D=n("span"),Pe(v.$$.fragment),oe=l(),E=n("span"),E.textContent=he,I=l(),y=n("p"),y.innerHTML=de,q=l(),b=n("p"),b.innerHTML=ue,G=l(),w=n("p"),w.innerHTML=me,J=l(),x=n("p"),x.textContent=fe,Z=l(),M=n("p"),M.innerHTML=ge,z=l(),L=n("ul"),L.innerHTML=ve,U=l(),_=n("p"),_.innerHTML=ye,Q=l(),H=n("p"),H.innerHTML=be,V=l(),T=n("p"),T.textContent=we,B=l(),C=n("p"),C.innerHTML=xe,O=l(),k=n("p"),k.innerHTML=Me,K=l(),p=n("ol"),P=n("li"),P.innerHTML=Le,ne=l(),X=n("li"),X.innerHTML=_e,ie=l(),h=n("li"),$=n("p"),$.textContent=He,le=l(),F=n("p"),F.innerHTML=Te,se=l(),Pe(S.$$.fragment),re=l(),W=n("p"),W.innerHTML=Ce,ce=l(),N=n("li"),N.innerHTML=ke,ee=l(),A=n("p"),A.textContent=Se,this.h()},l(e){const a=qe("svelte-1phssyn",document.head);d=i(a,"META",{name:!0,content:!0}),a.forEach(t),j=s(e),u=i(e,"H1",{class:!0});var ae=Y(u);m=i(ae,"A",{id:!0,class:!0,href:!0});var Ae=Y(m);D=i(Ae,"SPAN",{});var Ee=Y(D);Xe(v.$$.fragment,Ee),Ee.forEach(t),Ae.forEach(t),oe=s(ae),E=i(ae,"SPAN",{"data-svelte-h":!0}),r(E)!=="svelte-orhvtj"&&(E.textContent=he),ae.forEach(t),I=s(e),y=i(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-hgde8m"&&(y.innerHTML=de),q=s(e),b=i(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1g8jr89"&&(b.innerHTML=ue),G=s(e),w=i(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1wlh2p6"&&(w.innerHTML=me),J=s(e),x=i(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-fcz8p2"&&(x.textContent=fe),Z=s(e),M=i(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-zku0xa"&&(M.innerHTML=ge),z=s(e),L=i(e,"UL",{"data-svelte-h":!0}),r(L)!=="svelte-380287"&&(L.innerHTML=ve),U=s(e),_=i(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-9xghz2"&&(_.innerHTML=ye),Q=s(e),H=i(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-jd1fs8"&&(H.innerHTML=be),V=s(e),T=i(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1upyfdv"&&(T.textContent=we),B=s(e),C=i(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-15nwmfj"&&(C.innerHTML=xe),O=s(e),k=i(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-1eugc5q"&&(k.innerHTML=Me),K=s(e),p=i(e,"OL",{});var f=Y(p);P=i(f,"LI",{"data-svelte-h":!0}),r(P)!=="svelte-pquix8"&&(P.innerHTML=Le),ne=s(f),X=i(f,"LI",{"data-svelte-h":!0}),r(X)!=="svelte-1v82xo7"&&(X.innerHTML=_e),ie=s(f),h=i(f,"LI",{});var g=Y(h);$=i(g,"P",{"data-svelte-h":!0}),r($)!=="svelte-3cwmus"&&($.textContent=He),le=s(g),F=i(g,"P",{"data-svelte-h":!0}),r(F)!=="svelte-hy8nia"&&(F.innerHTML=Te),se=s(g),Xe(S.$$.fragment,g),re=s(g),W=i(g,"P",{"data-svelte-h":!0}),r(W)!=="svelte-17yb31m"&&(W.innerHTML=Ce),g.forEach(t),ce=s(f),N=i(f,"LI",{"data-svelte-h":!0}),r(N)!=="svelte-15ilvqm"&&(N.innerHTML=ke),f.forEach(t),ee=s(e),A=i(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-1re1wab"&&(A.textContent=Se),this.h()},h(){R(d,"name","hf:doc:metadata"),R(d,"content",JSON.stringify(ze)),R(m,"id","how-to-add-a-space-to-arxiv"),R(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),R(m,"href","#how-to-add-a-space-to-arxiv"),R(u,"class","relative group")},m(e,a){c(document.head,d),o(e,j,a),o(e,u,a),c(u,m),c(m,D),$e(v,D,null),c(u,oe),c(u,E),o(e,I,a),o(e,y,a),o(e,q,a),o(e,b,a),o(e,G,a),o(e,w,a),o(e,J,a),o(e,x,a),o(e,Z,a),o(e,M,a),o(e,z,a),o(e,L,a),o(e,U,a),o(e,_,a),o(e,Q,a),o(e,H,a),o(e,V,a),o(e,T,a),o(e,B,a),o(e,C,a),o(e,O,a),o(e,k,a),o(e,K,a),o(e,p,a),c(p,P),c(p,ne),c(p,X),c(p,ie),c(p,h),c(h,$),c(h,le),c(h,F),c(h,se),$e(S,h,null),c(h,re),c(h,W),c(p,ce),c(p,N),o(e,ee,a),o(e,A,a),te=!0},p:De,i(e){te||(Fe(v.$$.fragment,e),Fe(S.$$.fragment,e),te=!0)},o(e){We(v.$$.fragment,e),We(S.$$.fragment,e),te=!1},d(e){e&&(t(j),t(u),t(I),t(y),t(q),t(b),t(G),t(w),t(J),t(x),t(Z),t(M),t(z),t(L),t(U),t(_),t(Q),t(H),t(V),t(T),t(B),t(C),t(O),t(k),t(K),t(p),t(ee),t(A)),t(d),Ne(v),Ne(S)}}}const ze={local:"how-to-add-a-space-to-arxiv",title:"How to Add a Space to ArXiv"};function Ue(pe){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ke extends je{constructor(d){super(),Ie(this,d,Ue,Ze,Re,{})}}export{Ke as component};
